#pragma once

#include <time.h>
#include <stdint.h>

class FrameCounter {
  time_t last_time;
  int last_rate;
  int count;
public:
  FrameCounter();
  bool increment();
  int rate() const;
};

class DataRateCounter {
  time_t last_time;
  int last_byte_count;
  int byte_count;
  uint64_t total_bytes;
public:
  DataRateCounter();
  bool increment(int bytes);
  double rateMBs() const;
  double totalMB() const;
  uint64_t totalBytes() const;
};

// Local Variables:
// mode: c++
// End:
